data_dir.hpp File Reference
Private

classes used to store directory tree information in dar_manager databases More...

`#include "../my_config.h"`
`#include <string>`
`#include <deque>`
`#include <vector>`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "user_interaction.hpp"`
`#include "path.hpp"`
`#include "cat_directory.hpp"`
`#include "cat_inode.hpp"`
`#include "cat_detruit.hpp"`
`#include "data_tree.hpp"`

Go to the source code of this file.

## Classes

class | libdar::data_dir
| the data_dir class inherits from data_tree and holds the directory tree's parent relationship More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

classes used to store directory tree information in dar_manager databases

Definition in file data_dir.hpp.